<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la classe Point</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="class_point-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Point</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_point_8hpp_source.html">Point.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:ad92f2337b839a94ce97dcdb439b4325a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#ad92f2337b839a94ce97dcdb439b4325a">Point</a> ()</td></tr>
<tr class="separator:ad92f2337b839a94ce97dcdb439b4325a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001c4958c310b248f5c26037aea38a9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#a001c4958c310b248f5c26037aea38a9c">Point</a> (int x, int y)</td></tr>
<tr class="separator:a001c4958c310b248f5c26037aea38a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf9496fcc979a03ff54e91e533648dfd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#acf9496fcc979a03ff54e91e533648dfd">Point</a> (int x, int y, <a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:acf9496fcc979a03ff54e91e533648dfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dce10401e8a0116cd33af91e4eb2a2c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#a3dce10401e8a0116cd33af91e4eb2a2c">getCouleur</a> () const</td></tr>
<tr class="separator:a3dce10401e8a0116cd33af91e4eb2a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10d04a1ee26ee57c062967d4e2d7a87b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#a10d04a1ee26ee57c062967d4e2d7a87b">setCouleur</a> (<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> _couleur)</td></tr>
<tr class="separator:a10d04a1ee26ee57c062967d4e2d7a87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9d5859db121c7d1b89ca89266dca0a3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#ac9d5859db121c7d1b89ca89266dca0a3">getX</a> () const</td></tr>
<tr class="separator:ac9d5859db121c7d1b89ca89266dca0a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1d444024813ee4def15bb8576c351fc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#aa1d444024813ee4def15bb8576c351fc">setX</a> (int _x)</td></tr>
<tr class="separator:aa1d444024813ee4def15bb8576c351fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86d10ff46e08462c45b15a8c7ef62d61"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#a86d10ff46e08462c45b15a8c7ef62d61">getY</a> () const</td></tr>
<tr class="separator:a86d10ff46e08462c45b15a8c7ef62d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadbaf15691dc524ea45716ef3fa24285"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point.html#aadbaf15691dc524ea45716ef3fa24285">setY</a> (int _y)</td></tr>
<tr class="separator:aadbaf15691dc524ea45716ef3fa24285"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Classe représentant un point du plateau. C'est sur un point qu'un joueur pose un pion. </p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="ad92f2337b839a94ce97dcdb439b4325a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad92f2337b839a94ce97dcdb439b4325a">&#9670;&nbsp;</a></span>Point() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point::Point </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a001c4958c310b248f5c26037aea38a9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a001c4958c310b248f5c26037aea38a9c">&#9670;&nbsp;</a></span>Point() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point::Point </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf9496fcc979a03ff54e91e533648dfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf9496fcc979a03ff54e91e533648dfd">&#9670;&nbsp;</a></span>Point() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point::Point </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a3dce10401e8a0116cd33af91e4eb2a2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dce10401e8a0116cd33af91e4eb2a2c">&#9670;&nbsp;</a></span>getCouleur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> Point::getCouleur </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9d5859db121c7d1b89ca89266dca0a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9d5859db121c7d1b89ca89266dca0a3">&#9670;&nbsp;</a></span>getX()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Point::getX </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86d10ff46e08462c45b15a8c7ef62d61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86d10ff46e08462c45b15a8c7ef62d61">&#9670;&nbsp;</a></span>getY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Point::getY </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10d04a1ee26ee57c062967d4e2d7a87b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10d04a1ee26ee57c062967d4e2d7a87b">&#9670;&nbsp;</a></span>setCouleur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point::setCouleur </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>_couleur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1d444024813ee4def15bb8576c351fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1d444024813ee4def15bb8576c351fc">&#9670;&nbsp;</a></span>setX()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point::setX </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>_x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aadbaf15691dc524ea45716ef3fa24285"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadbaf15691dc524ea45716ef3fa24285">&#9670;&nbsp;</a></span>setY()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point::setY </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>_y</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir des fichiers suivants :<ul>
<li>src/<a class="el" href="_point_8hpp_source.html">Point.hpp</a></li>
<li>src/<a class="el" href="_point_8cpp.html">Point.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
